AgentConnect
GitHub

List repository branches

Branch names for the picker (first 100). Uses a contents:read token scoped to the one repository.

GET
/v1/orgs/{orgId}/github/installations/{id}/repositories/{owner}/{repo}/branches

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string
owner*string
repo*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/orgs/string/github/installations/string/repositories/string/string/branches"
[  {    "name": "string"  }]